Bug 1569747 - Rebase orca to 3.28.0
Summary: Rebase orca to 3.28.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: orca
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthias Clasen
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-19 23:31 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-11 15:45:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthias Clasen 2018-04-19 23:31:02 UTC
As part of the desktop rebase in 7.6, we need to rebase orca to the version that is shipped with GNOME 3.28.

Comment 2 Tomas Pelka 2018-04-20 17:58:32 UTC
Wondering how we are going to solve python3 issue?

Comment 3 Ray Strode [halfline] 2018-06-08 20:57:43 UTC
(In reply to Tomas Pelka from comment #2)
> Wondering how we are going to solve python3 issue?

Was seemingly enough to drop the ([3.3]) from the AM_PYTHON in configure.ac …

Comment 4 Ray Strode [halfline] 2018-06-11 15:39:46 UTC
I kind of jumped the gun. it built, but doesn't run.

Some of the porting changes are pretty small (changing chr to unichr, renaming urllib.parse to urlparse, that kind of thing).  it also uses a faulthandler module that's available in python2 but we don't ship it.  That could be stripped out pretty easily.

It's a bunch of small changes, but adds up. I think we should backpedal and avoid rebasing after all.  I'll untag the build and revert it in version control.

Comment 5 Ray Strode [halfline] 2018-06-11 15:45:01 UTC
okay untagged and reverted. devnak for 7.6

Comment 6 Red Hat Bugzilla Rules Engine 2018-06-11 15:45:05 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.